//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "FormSettings.h"
#include "PluginSettings.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TfrmSettings *frmSettings;
//---------------------------------------------------------------------------
__fastcall TfrmSettings::TfrmSettings(TComponent* Owner)
	: TForm(Owner)
{
}
//---------------------------------------------------------------------------

void TfrmSettings::SetDevicesList(std::vector<std::string> devices)
{
	cbCaptureDevices->Clear();
	for (int i=0; i<devices.size(); i++)
	{
		cbCaptureDevices->Items->Add(devices[i].c_str());
	}
	cbCaptureDevices->ItemIndex = cbCaptureDevices->Items->IndexOf(pluginSettings.asCaptureDevice);

	if (pluginSettings.asCaptureDevice == "" && cbCaptureDevices->Items->Count > 0)
		cbCaptureDevices->ItemIndex = 0;

}

void __fastcall TfrmSettings::cbCaptureDevicesChange(TObject *Sender)
{
	pluginSettings.asCaptureDevice = cbCaptureDevices->Text;
}
//---------------------------------------------------------------------------

